<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Course extends Model
{
    use HasFactory;
    protected $fillable = [
        'course_category_id',
        'code',
        'name',
        'description',
        'image',
        'status',
        'price',
        'duration',
    ];

    function buyers(){
        return $this->hasMany(PurchasedCourse::class);
    }
}
