<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class HoldingUsersType extends Model
{
    use HasFactory;

    protected $table = 'holding_users_type';

    public function holdingUser()
    {
        return $this->hasMany(HoldingUser::class, 'user_type_id', 'id');
    }

    protected $fillable = [
        'title',
        'display_name',
    ];
}
