<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class WealthTransaction extends Model
{
    use HasFactory;

    protected $table = 'wealth_transaction';

    public function category(){
        return $this->hasOne(WealthCategory::class, 'id', 'category_id');
    }

    public function account(){
        return $this->hasOne(WealthAccountUser::class, 'id', 'account_id');
    }

    /* protected $fillable = [
        'name',
        'code',
        'symbol',
    ]; */
}
