<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class PurchasedCourse extends Model
{
    use HasFactory;
    protected $fillable = [
        'user_id',
        'course_id',
        'start_date',
        'end_date',
    ];

    function user(){
        return $this->belongsTo(User::class);
    }
}
